Name:    cloudy
Version: 13.05
Release: %mkrel 2
Summary: Spectral synthesis code to simulate conditions in interstellar matter

%define upversion 13

Group:   Sciences/Astronomy
License: BSD
URL:     http://www.nublado.org/
Source0: http://data.nublado.org/cloudy_releases/c%{upversion}/c%{version}.tar.gz
Source1: cloudy_no_date_footer.tar.gz

BuildRequires: doxygen
BuildRequires: graphviz
BuildRequires: tetex-latex

%description
Most of the quantitative information we have about the cosmos comes from 
spectroscopy. In many cases the light we analyze was produced by atoms in 
the first generations of stars and galaxies.  The spectra are produced by 
dilute gas where such properties as the gas kinetic temperature, chemical 
state, level of ionization, and level populations, are determined by a 
host of microphysical processes rather than by a single temperature. 
Analytical solutions are seldom possible and computer solutions are 
needed to understand their physical properties. Numerical simulations make 
it possible to understand complex physical environments starting from 
first principles. Cloudy is designed to do exactly this.

%prep
%setup -q -n c%{version}
%setup -q -n c%{version} -T -D -a 1
#patch0 -p1

%build
cd source
%make_build CXX="%{__cxx}" CXXFLAGS="%{optflags}" \
    CLOUDY_DATA_PATH=%{_datadir}/%{name}/data/
cd ..
cd doxygen
doxygen Doxyfile
# Deleting empty files
find -empty -exec rm '{}' ';'
# Spurious file
find -name installdox -exec rm '{}' ';'

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_includedir}/%{name}
mkdir -p %{buildroot}%{_datadir}/%{name}/data
mkdir -p %{buildroot}%{_datadir}/%{name}/scripts
mkdir -p %{buildroot}%{_datadir}/%{name}/grain
install -m 755 source/cloudy.exe %{buildroot}/%{_bindir}/cloudy

cp -a data/*.opc %{buildroot}%{_datadir}/%{name}/data
cp -a data/*.ini %{buildroot}%{_datadir}/%{name}/data
cp -a data/*.dat %{buildroot}%{_datadir}/%{name}/data
cp -a data/*.rfi %{buildroot}%{_datadir}/%{name}/grain
cp -a data/*.szd %{buildroot}%{_datadir}/%{name}/grain
cp -a data/*.in %{buildroot}%{_datadir}/%{name}/scripts

%files
%doc readme.txt license.txt docs/*
%doc doxygen/html
%doc data/readme_data.htm data/readme_LineList_dat.txt
%{_bindir}/*
%{_datadir}/%{name}/


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 13.05-2.mga8
+ Revision: 1521755
- Mageia 8 Mass Rebuild

* Mon Dec 31 2018 daviddavid <daviddavid> 13.05-1.mga7
+ Revision: 1347538
- new version: 13.05

* Sat Sep 22 2018 umeabot <umeabot> 13.04-2.mga7
+ Revision: 1296590
- Mageia 7 Mass Rebuild

* Wed Dec 14 2016 eatdirt <eatdirt> 13.04-1.mga6
+ Revision: 1075040
- Upgrade to version 13.04

* Thu Apr 14 2016 daviddavid <daviddavid> 13.03-5.mga6
+ Revision: 1001301
- add upstream patch to fix build with latest libstdc++
  * http://www.nublado.org/browser/trunk/source/mole.h?rev=11052
  * rediff to adapt the patch in current source mole.h file

* Thu Feb 04 2016 umeabot <umeabot> 13.03-4.mga6
+ Revision: 935637
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 13.03-3.mga5
+ Revision: 740349
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 13.03-2.mga5
+ Revision: 678434
- Mageia 5 Mass Rebuild

* Thu Jul 03 2014 eatdirt <eatdirt> 13.03-1.mga5
+ Revision: 642647
- Upgrade to version 13.03

* Sat Oct 19 2013 umeabot <umeabot> 13.01-2.mga4
+ Revision: 530641
- Mageia 4 Mass Rebuild

* Mon Apr 01 2013 joequant <joequant> 13.01-1.mga4
+ Revision: 407039
- imported package cloudy

